/* Author: Sivaraj D (sivaraj@tamil.net)
 * Date  : 4-Jan-2000
 */

/* Defining Unicode unsigned characters */

unsigned int 
u_uyir[] = { 0x0B85, 0x0B86, 0x0B87, 0x0B88,
             0x0B89, 0x0B8A, 0x0B8E, 0x0B8F,
             0x0B90, 0x0B92, 0x0B93, 0x0B94,
             0x0B83, 0x00A9,
	     0x2018, 0x2019, 0x201c, 0x201D,
	     0x0BE7, 0x0BE8, 0x0BE9, 0x0BEA, 
	     0x0BEB, 0x0BEC, 0x0BED, 0x0BEE,
	     0x0BEF, 0x0BF0, 0x0BF1, 0x0BF2,
	     0x0000 };

/* akaramEriya mey */
unsigned int 
u_amey[] = { 0x0B95, 0x0B99, 0x0B9A, 0x0B9E,
             0x0B9F, 0x0BA3, 0x0BA4, 0x0BA8,
             0x0BAA, 0x0BAE, 0x0BAF, 0x0BB0,
             0x0BB2, 0x0BB5, 0x0BB4, 0x0BB3,
             0x0BB1, 0x0BA9, 0x0B9C, 0x0BB7,
             0x0BB8, 0x0BB9, 0x0000 };

unsigned int 
u_modi[] = { 0x0BBE, 0x0BBF, 0x0BC0, 0x0BC1,
             0x0BC2, 0x0BC6, 0x0BC7, 0x0BC8,
             0x0BCA, 0x0BCB, 0x0BCC, 0x0BCD,
             0x0BD7, 0x0000 };

unsigned int
u_grantha[] = { 0x0B9C, 0x0BB7, 0x0BB8, 0x0BB9, 
	     0x0000 };

#define U_KAAL  	0x0BBE
#define U_KOKKI1	0x0BBF
#define U_KOKKI2	0x0BC0
#define U_UMODI1	0x0BC1
#define U_UMODI2	0x0BC2
#define U_KOMBU1	0x0BC6
#define U_KOMBU2	0x0BC7
#define U_AIMODI	0x0BC8
#define U_OMODI1	0x0BCA
#define U_OMODI2	0x0BCB
#define U_AUMODI	0x0BCC
#define U_AUMARK	0x0BD7
#define U_PULLI 	0x0BCD
 
#define U_SPACE		0x0020
#define U_ZWSP		0x200B
#define U_LSQUOT	0x2018
#define U_RSQUOT	0x2019
#define U_LDQUOT	0x201C
#define U_RDQUOT	0x201D

/* Defining TSCII unsigned characters - we define only those unsigned characters 
 * that are useful in Unicode */

#define SPACE		0x20

/* Vowel modifiers */
#define TSC_KAAL 	0xA1
#define TSC_KOKKI1  	0xA2
#define TSC_KOKKI2  	0xA3
#define TSC_UMODI1  	0xA4
#define TSC_UMODI2  	0xA5
#define TSC_KOMBU1  	0xA6
#define TSC_KOMBU2  	0xA7
#define TSC_AIMODI  	0xA8
#define TSC_AUMODI  	0xAA

unsigned char 
tsc_modi[] = { 0xA1, 0xA2, 0xA3, 0xA4,
	   0xA5, 0xA6, 0xA7, 0xA8,
	   0xFF, 0xFF, 0xFF, 0xFF,
           0xAA, 0x00 };

/* all uyirs & aaytham: these convert directly to unicode     */
unsigned char 
tsc_uyir[] = { 0xAB, 0xAC, 0xAD, 0xAE,      /* a, aa, i, ii  */
           0xAF, 0xB0, 0xB1, 0xB2,          /* u, uu, e, ee  */ 
           0xB3, 0xB4, 0xB5, 0xB6,          /* ai, o, oo, au */
           0xB7, 0xA9,                      /* aaytham, copyright*/
	   0x91, 0x92, 0x93, 0x94,          /* quotes */
	   0x81, 0x8D, 0x8E, 0x8F,
	   0x90, 0x95, 0x96, 0x97, 
	   0x98, 0x9D, 0x9E, 0x9F,
	   0x00 };                    

/* all mey */
unsigned char
tsc_mey[]  = { 0xEC, 0xED, 0xEE, 0xEF, 
           0xF0, 0xF1, 0xF2, 0xF3, 
           0xF4, 0xF5, 0xF6, 0xF7,
           0xF8, 0xF9, 0xFA, 0xFB,
           0xFC, 0xFD, 0x88, 0x89,
           0x8A, 0x8B, 0x00 };
                
/* akaramEriya mey */
unsigned char 
tsc_amey[] = { 0xB8, 0xB9, 0xBA, 0xBB, 
           0xBC, 0xBD, 0xBE, 0xBF, 
           0xC0, 0xC1, 0xC2, 0xC3,
           0xC4, 0xC5, 0xC6, 0xC7,
           0xC8, 0xC9, 0x83, 0x84,
           0x85, 0x86, 0x00 };


/* ikaram, iikaaram for T */
#define TSC_TI      0xCA
#define TSC_TII     0xCB

/* ukaram, uukaaram & grantha ameys*/
unsigned char 
tsc_ukaram[] = { 0xCC, 0x99, 0xCD, 0x9A,
                 0xCE, 0xCF, 0xD0, 0xD1,
                 0xD2, 0xD3, 0xD4, 0xD5, 
                 0xD6, 0xD7, 0xD8, 0xD9,
                 0xDA, 0xDB, 0x00 };

unsigned char
tsc_uukaaram[] = { 0xDC, 0x9B, 0xDD, 0x9C,
                   0xDE, 0xDF, 0xE0, 0xE1,
                   0xE2, 0xE3, 0xE4, 0xE5, 
                   0xE6, 0xE7, 0xE8, 0xE9,
                   0xEA, 0xEB, 0x00 };

unsigned char 
tsc_grantha[]  = { 0x83, 0x84, 0x85, 0x86, 0x00 };

